Closed Bug 1156679 Opened 4 years ago Closed 4 years ago

[Browser]The "Test-short_name length>40" can't be installed successful.

Categories

(Firefox OS Graveyard :: Gaia::System, defect)

ARM
Gonk (Firefox OS)
defect
Not set

Tracking

(blocking-b2g:2.2+, b2g-v2.2 affected, b2g-master affected)

RESOLVED INVALID
blocking-b2g 2.2+
Tracking Status
b2g-v2.2 --- affected
b2g-master --- affected

People

(Reporter: wangxin, Assigned: tedders1)

Details

(Whiteboard: [2.2-nexus-5-l] [MGSEI-v2.2-N5-2R][systemsfe])

Attachments

(3 files)

[1.Description]:
[Flame v2.2&3.0][Nexus 5 v2.2&3.0][Browser]The "Test-short_name length>40" ap in test website was not installed successfully.
Found Time:23:38
See log:"logcat_2338.txt"
See video:"2338.mp4"

[2.Testing Steps]: 
1. Launch "Browser".
2. Input "http://dwz.cn/Hpv1c" to URL and open the website.
3. Tap the "Test-short_name length>40" to install it.


[3.Expected Result]: 
3. The "Test-short_name length>40" should be installed successfully.

[4.Actual Result]: 
3. The "Test-short_name length>40" can't be installed successfully.

[5.Reproduction build]: 
Flame 2.2(Affected): 
Build ID               20150420002502
Gaia Revision          c15a2b6d3a783813959c2b3bffd2a131f4270b9e
Gaia Date              2015-04-17 17:49:32
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/cc02ee38b252
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150420.041634
Firmware Date          Mon Apr 20 04:16:45 EDT 2015
Bootloader             L1TC000118D0

Flame3.0(Affected):
Build ID               20150420160201
Gaia Revision          a8e4f95dce9db727dda5d408b038f97fb4296557
Gaia Date              2015-04-20 19:30:21
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/e7112314d9d5
Gecko Version          40.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150420.191858
Firmware Date          Mon Apr 20 19:19:10 EDT 2015
Bootloader             L1TC000118D0

Nexus5_2.2(Affected): 
Build ID               20150420002502
Gaia Revision          c15a2b6d3a783813959c2b3bffd2a131f4270b9e
Gaia Date              2015-04-17 17:49:32
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/cc02ee38b252
Gecko Version          37.0
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150420.042319
Firmware Date          Mon Apr 20 04:23:35 EDT 2015
Bootloader             HHZ12f

Nexus5_3.0(Affected): 
Build ID               20150420160201
Gaia Revision          a8e4f95dce9db727dda5d408b038f97fb4296557
Gaia Date              2015-04-20 19:30:21
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/e7112314d9d5
Gecko Version          40.0a1
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150420.192508
Firmware Date          Mon Apr 20 19:25:24 EDT 2015
Bootloader             HHZ12f

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
15953
Attached video Bug video: 2338.MP4
Whiteboard: [2.2-nexus-5-l] → [2.2-nexus-5-l] [MGSEI-v2.2-N5-2R]
Component: Gaia::Browser → Gaia::System
Maybe related to 
04-20 23:39:18.694 I/GeckoConsole(  195): Content JS INFO: downloadError event, error code is MANIFEST_MISMATCH 

04-20 23:39:18.694 I/GeckoConsole(  195):     at ai_handleDownloadError (app://system.gaiamobile.org/gaia_build_defer_index.js:1555:624)
blocking-b2g: --- → 2.2+
Whiteboard: [2.2-nexus-5-l] [MGSEI-v2.2-N5-2R] → [2.2-nexus-5-l] [MGSEI-v2.2-N5-2R][systemsfe]
Ted, can you help out here?
Assignee: nobody → tclancy
I cannot open the link "http://dwz.cn/Hpv1c", but I can install that webapp with master & 2.2 build from the original github link [1].

SandKing, could you try below link again?

[1] http://mozilla-b2g.github.io/qa-testcase-data/manifest.webapp/short_name-support/index.html
Flags: needinfo?(wangxin)
Hi Hermes,
 Actually, "http://mozilla-b2g.github.io/qa-testcase-data/manifest.webapp/short_name-support/index.html" and "http://dwz.cn/Hpv1c" are the same website. I mean that the file  "Test-short_name length>40" can not be downloaded successfully.
This issue still exits on latest Flame 2.2&3.0

Flame 2.2(Fail):
Build ID               20150421002501
Gaia Revision          828dd03a0e3b140d74b2e49355197df4d91d9227
Gaia Date              2015-04-20 18:28:39
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/36f72a3efb9b
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150421.041828
Firmware Date          Tue Apr 21 04:18:39 EDT 2015
Bootloader             L1TC000118D0

Flame 3.0(Fail):
Build ID               20150421160203
Gaia Revision          15134b080b5f406e5aa36f5136c17dafb4e31f64
Gaia Date              2015-04-21 19:52:45
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/86725d1a2cf3
Gecko Version          40.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150421.192130
Firmware Date          Tue Apr 21 19:21:42 EDT 2015
Bootloader             L1TC000118D0
Flags: needinfo?(wangxin)
I guess that might be a network or CDN issue. The target package was merged to Github yesterday and it might not be refreshed for some reasons.
"Test-short_name length>40" can be installed successfully now. But installing "Test-short_name length has an invalid UTF-16 charater" fails.
See log: "logcat_1731.txt"
STR:
1. Launch "Browser".
2. Input "http://dwz.cn/Hpv1c" to URL and open the website.
3. Tap the "Test-short_name length has an invalid UTF-16 charater" to install it.
**You can see the "Test-short_name length>40" can't be installed successfully.
  
Flame 2.2(Fail):
Build ID               20150421002501
Gaia Revision          828dd03a0e3b140d74b2e49355197df4d91d9227
Gaia Date              2015-04-20 18:28:39
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/36f72a3efb9b
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150421.041828
Firmware Date          Tue Apr 21 04:18:39 EDT 2015
Bootloader             L1TC000118D0

Flame 3.0(Fail):
Build ID               20150421160203
Gaia Revision          15134b080b5f406e5aa36f5136c17dafb4e31f64
Gaia Date              2015-04-21 19:52:45
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/86725d1a2cf3
Gecko Version          40.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150421.192130
Firmware Date          Tue Apr 21 19:21:42 EDT 2015
Bootloader             L1TC000118D0
It is not a bug, and it has a test case already. [1]
Please check it for the expected results of "Test - Value of short_name has an invalid UTF-16 character".

[1] https://moztrap.mozilla.org/manage/cases/?filter-id=15958
Status: NEW → RESOLVED
Closed: 4 years ago
Resolution: --- → INVALID
You need to log in before you can comment on or make changes to this bug.